> For the complete documentation index, see [llms.txt](https://docs.shipide.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.shipide.com/rates.md).

# Rates

## Get sandbox rates

> Requires the rates:read scope. Sandbox only. Live requests return 503 carrier\_not\_configured without charge.

```json
{"openapi":"3.1.0","info":{"title":"Shipide API","version":"1.0.0"},"servers":[{"url":"https://portal.shipide.com/api/v1"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"http","scheme":"bearer","bearerFormat":"shipide_test_... or shipide_live_...","description":"Create scoped API keys in Portal > Account > Developer."}},"schemas":{"Rate":{"type":"object","properties":{"id":{"type":"string","description":"Opaque Shipide resource ID."},"shipment_id":{"type":"string","description":"Opaque Shipide resource ID."},"carrier":{"const":"shipide_sandbox"},"service":{"const":"sandbox_standard"},"currency":{"const":"EUR"},"amount":{"type":"number","const":5},"test":{"const":true}},"required":["id","shipment_id","carrier","service","currency","amount","test"]},"Error":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"},"request_id":{"type":"string"}},"required":["code","message","request_id"]}},"required":["error"]}}},"paths":{"/rates":{"post":{"operationId":"getRates","summary":"Get sandbox rates","description":"Requires the rates:read scope. Sandbox only. Live requests return 503 carrier_not_configured without charge.","tags":["rates"],"parameters":[{"name":"Idempotency-Key","in":"header","required":true,"description":"Persist a unique key per logical operation. Retry the identical request with the same key. Successful keys do not currently expire.","schema":{"type":"string","minLength":1,"maxLength":128}}],"responses":{"200":{"description":"Success","headers":{"X-Request-Id":{"schema":{"type":"string"}},"Idempotency-Replayed":{"schema":{"type":"string","enum":["true"]},"description":"Present when returning a stored response."}},"content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"array","items":{"$ref":"#/components/schemas/Rate"}}},"required":["data"]}}}},"400":{"description":"400 API error; inspect error.code and error.message.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"401":{"description":"401 API error; inspect error.code and error.message.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"403":{"description":"403 API error; inspect error.code and error.message.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"404":{"description":"404 API error; inspect error.code and error.message.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"409":{"description":"409 API error; inspect error.code and error.message.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"413":{"description":"413 API error; inspect error.code and error.message.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"415":{"description":"415 API error; inspect error.code and error.message.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"422":{"description":"422 API error; inspect error.code and error.message.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"429":{"description":"429 API error; inspect error.code and error.message.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"500":{"description":"500 API error; inspect error.code and error.message.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"503":{"description":"503 API error; inspect error.code and error.message.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}},"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"shipment_id":{"type":"string","description":"Opaque Shipide resource ID."}},"required":["shipment_id"],"additionalProperties":false}}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.shipide.com/rates.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
